Bug 466678 - Arial Narrow font is inaccessible to applications
Summary: Arial Narrow font is inaccessible to applications
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-12 18:11 UTC by Julian Sikorski
Modified: 2010-04-29 18:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 18:45:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Confused gtk2 font selector (27.24 KB, image/png)
2008-10-12 18:11 UTC, Julian Sikorski
no flags Details
KDE System Settings aware of the Narrow glyphs (89.82 KB, image/png)
2008-10-12 18:13 UTC, Julian Sikorski
no flags Details
Confused gtk font selector in LANG=C locale (41.25 KB, image/png)
2009-06-10 11:12 UTC, Julian Sikorski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 13416 None None None Never
FreeDesktop.org 22215 None None None Never
GNOME Bugzilla 563862 None None None Never

Description Julian Sikorski 2008-10-12 18:11:52 UTC
Created attachment 320146 [details]
Confused gtk2 font selector

Description of problem:
Going through various bug reports, mailing list posts and so on I came to the conclusion that applications are being currently fixed in order to support extended fonts attibutes, and that gtk2 font selector is the one that should work properly. Granted, it works for say DejaVu LGC condensed, but does not for Arial Narrow (the condensed glyphs are to be found in separate files, copied over from XP install into .fonts). fc-list outputs the following:

[jsikorski@snowball ~]$ fc-list | grep Arial
Arial Black:style=Normalny,Normal,obyčejné,Standard,Κανονικά,Regular,Normaali,Normál,Normale,Standaard,Обычный,Normálne,Navadno,Arrunta
Arial,Arial Narrow:style=Normalny,Narrow,Normal,obyčejné,Standard,Κανονικά,Regular,Normaali,Normál,Normale,Standaard,Обычный,Normálne,Navadno,Arrunta
Arial:style=Pogrubiona kursywa,Negreta cursiva,tučné kurzíva,fed kursiv,Fett Kursiv,Έντονα Πλάγια,Bold Italic,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Negrito Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko poševno,nghiêng đậm,Lodi etzana
Arial,Arial Narrow:style=Pogrubiona kursywa,Narrow,Negreta cursiva,tučné kurzíva,fed kursiv,Fett Kursiv,Έντονα Πλάγια,Bold Italic,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Negrito Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko poševno,Lodi etzana
Arial:style=Kursywa,Cursiva,kurzíva,kursiv,Πλάγια,Italic,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Itálico,Курсив,İtalik,Poševno,nghiêng,Etzana
Arial:style=Normalny,Normal,obyčejné,Standard,Κανονικά,Regular,Normaali,Normál,Normale,Standaard,Обычный,Normálne,Navadno,thường,Arrunta
Arial,Arial Narrow:style=Pogrubiony,Narrow,Negreta,tučné,fed,Fett,Έντονα,Bold,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Arial:style=Pogrubiony,Negreta,tučné,fed,Fett,Έντονα,Bold,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Negrito,Полужирный,Fet,Kalın,Krepko,đậm,Lodia
Arial,Arial Narrow:style=Kursywa,Narrow,Cursiva,kurzíva,kursiv,Πλάγια,Italic,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Itálico,Курсив,İtalik,Poševno,Etzana
[jsikorski@snowball ~]$

Gtk2 font selector gets confused and shows each of the 4 basic styles twice (see attachment), with no visible difference whatsoever. The only application I have found to be able to distinguish between the Narrow and normal styles is the KDE's system settings > installed fonts thingy (also see attachment)

Version-Release number of selected component (if applicable):
fontconfig-2.5.0-2.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. install microsoft core fonts using an rpm package
2. copy over arian{n,ni,nb,nbi}.ttf from a windows installation
3. run fc-cache
4. attempt to select one of the narrow glyphs in the font selector
  
Actual results:
Narrow glyphs are unavailable

Expected results:
Able to select narrow glyphs

Additional info:
Feel free to reassing this bug, I wasn't sure what to assign it to

Comment 1 Julian Sikorski 2008-10-12 18:13:05 UTC
Created attachment 320147 [details]
KDE System Settings aware of the Narrow glyphs

Comment 2 Julian Sikorski 2008-10-12 18:37:14 UTC
This might be relat

Comment 3 Julian Sikorski 2008-10-12 18:38:20 UTC
This might be related to the mentioned freedesktop bug, but since there was no response in 4 months, I thought that filing it here as well might be a good idea.

Comment 4 Bug Zapper 2009-06-10 02:56:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Julian Sikorski 2009-06-10 11:12:18 UTC
Created attachment 347200 [details]
Confused gtk font selector in LANG=C locale

Still present in Fedora 11.
I think the problem might be related to localised names of the narrow font. With LANG=C shown above, the errors are different. Font selection will yield the following (from the top): 4 times narrow, normal, italic, bold and bold italic. Narrow italic, narrow bold and narrow bold italic are still MIA. It's a little improvement over pl_PL locale, but far from a working solution nontheless.

Comment 6 Bug Zapper 2010-04-27 12:16:38 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.